clear
clc
default_plotsize
load('Datafile')
%% Figure 1B

figure1 = figure('OuterPosition',...
    [706.333333333333 174 900.666666666667 807]);

% Create axes
axes1 = axes('Position',[0.160150004321337 0.16948216331497 0.8 0.75]);
hold(axes1,'on');

% Create multiple lines using matrix input to plot
plot1 = plot(xdata{1},ydata{1},'LineWidth',6,'Color',[0.2 0 1]);
plot(xdata{2},ydata{2},'LineWidth',6,'Color',[1 0 0]);
plot(xdata{3},ydata{3},'LineWidth',6,'Color',[0 0 0]);

% Create ylabel
ylabel('{\it{F_f}} (mN)','FontName','Arial');

% Create xlabel
xlabel('Time (s)','FontName','Arial');

% Uncomment the following line to preserve the X-limits of the axes
 xlim(axes1,[0 20]);
% Uncomment the following line to preserve the Y-limits of the axes
 ylim(axes1,[0 16]);
box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'FontSize',35);
% Create textbox
annotation(figure1,'textbox',...
    [0.349176420695509 0.810659186535763 0.08212128922816 0.0748013090229073],...
    'Color',[0.2 0 1],...
    'String','Dry',...
    'FontSize',28,...
    'FontName','Arial',...
    'FitBoxToText','off',...
    'EdgeColor','none');

% Create textbox
annotation(figure1,'textbox',...
    [0.258421543681093 0.391778846784023 0.154640373197619 0.0748013090229072],...
    'String','Glass',...
    'FontSize',28,...
    'FontName','Arial',...
    'FitBoxToText','off',...
    'EdgeColor','none');

% Create textbox
annotation(figure1,'textbox',...
    [0.262662425784571 0.555394039489146 0.197897370653088 0.0748013090229073],...
    'Color',[1 0 0],...
    'String','DCDHF',...
    'FontSize',28,...
    'FontName','Arial',...
    'FitBoxToText','off',...
    'EdgeColor','none');

% Create arrow
annotation(figure1,'arrow',[0.477523324851576 0.476251060220532],...
    [0.768579954822106 0.54230599502781]);

% Create textbox
annotation(figure1,'textbox',...
    [0.480067854113657 0.626168224299065 0.482612383375743 0.0638769099019967],...
    'String','Vapor Phase Lubrication',...
    'FontSize',25,...
    'FontName','Arial',...
    'FitBoxToText','off',...
    'EdgeColor','none');

%% Figure 3A

figure('OuterPosition',[392.333333333333 193 707.333333333333 786]);

% Create axes
axes1 = axes('Position',...
    [0.131111111111111 0.129770992366412 0.806328734894664 0.828244274809159]);
hold(axes1,'on');
% Create semilogy
semilogy(x_TCSPC_noncotact{6},y_TCSPC_noncotact{6},'DisplayName','IRF','LineWidth',2,'Color',[0 0 0]);
% Create semilogy
semilogy(x_TCSPC_noncotact{1},y_TCSPC_noncotact{1},'DisplayName','^P/_{P_{sat}}=0.2','LineWidth',2,...
    'Color',[0.2 0 1]);
% Create semilogy
semilogy(x_TCSPC_noncotact{2},y_TCSPC_noncotact{2},'DisplayName','^P/_{P_{sat}}=0.4','LineWidth',2,...
    'Color',[1 0 0]);
% Create semilogy
semilogy(x_TCSPC_noncotact{3},y_TCSPC_noncotact{3},'DisplayName','^P/_{P_{sat}}=0.6','LineWidth',2,...
    'Color',[1 0.6 0.2]);
% Create semilogy
semilogy(x_TCSPC_noncotact{4},y_TCSPC_noncotact{4},'DisplayName','^P/_{P_{sat}}=0.8','LineWidth',2,...
    'Color',[0 0.784313725490196 0.325490196078431]);
% Create semilogy
semilogy(x_TCSPC_noncotact{5},y_TCSPC_noncotact{5},'DisplayName','^P/_{P_{sat}}=1.0','LineWidth',2,...
    'Color',[0.568627450980392 0.168627450980392 0.129411764705882]);
% Create ylabel
ylabel({'Normalized Intensity (a.u.)'},'FontName','Arial');
% Create xlabel
xlabel({'Time (ns)'},'FontName','Arial');
% Uncomment the following line to preserve the X-limits of the axes
 xlim(axes1,[0 10]);
% Uncomment the following line to preserve the Y-limits of the axes
 ylim(axes1,[0 300000]);
box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'FontSize',22,'YMinorTick','on','YScale','log');
% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Position',[0.331575192885253 0.756223320420792 0.474494706448506 0.181965648854961],...
    'NumColumns',3,...
    'FontSize',20);

%% Figure 3B
figure('OuterPosition',[1159 220.333333333333 998.666666666667 794]);

% Create axes
axes1 = axes('Position',[0.176410166922963 0.210948216331497 0.70 0.77]);
hold(axes1,'on');
colororder([0 0.447 0.741]);

% Activate the left side of the axes
yyaxis(axes1,'left');
% Create multiple lines using matrix input to plot

errorbar([0:0.2:1],tau_noncontact,tau_noncontact_std,'MarkerFaceColor',[0 0 0],'MarkerSize',16,...
    'LineStyle','--',...
    'Color',[0 0 0],'Marker','square','LineWidth',3);
errorbar([0:0.2:1],tau_IPA,tau_avg_std,'MarkerFaceColor',[0 0 0],'MarkerSize',16,...
    'LineStyle','--',...
    'Color',[0 0 0],'Marker','o','LineWidth',3);

ylabel('Fluorescence Lifetime (ns)','FontName','Arial');
set(axes1,'YColor',[0 0 0]);
ylim([0.55,1.7])
% Activate the right side of the axes
yyaxis(axes1,'right');
% Create plot
errorbar([0:0.2:1],[stress_dry(1),stress_250]./10^6,[0.0062,0.0044,0.0017,0.0020,0.0016,0.0022]*11,'MarkerSize',16,'Marker','x',...
    'LineStyle','--',...
    'Color',[1 0 0],'Marker','x','LineWidth',3);

% Create ylabel
ylabel('\sigma_s (MPa)','FontName','Arial');
% Uncomment the following line to preserve the Y-limits of the axes
% ylim(axes1,[-0.05 0.5]);
ylim([0,5])
% Set the remaining axes properties
set(axes1,'YColor',[1 0 0]);
% Create xlabel
xlabel('\it{^P\fontsize{60}/\fontsize{30}P\fontsize{20}sat}','FontName','Arial');

legend('Free Surface','Confined Surface')
box(axes1,'on');


%% Figure 3C

figure('OuterPosition',[0 0 800 800]);
axes1 = axes('Position',...
    [0.250150004321337 0.24548216331497 0.68 0.67]);
hold(axes1,'on')
xlabel('ln({\it{k}}^{-1}_{\it{nr}})');
% Create xlabel
ylabel('\sigma_s (Pa)');
box(axes1,'on');
errorbar(ln_tau_nr,stress_250,ln_tau_error_IPA,'horizontal','Color',colorset(1),'LineWidth',4,LineStyle='none',Marker='o',MarkerSize=8)
plot(ln_tau_nr,ln_tau_nr*p1_tnr_stress+p2_tnr_stress,'color',colorset(1),'LineWidth',4);


%% Figure 4B

figure('OuterPosition',[0 0 1200 1000]);
axes1 = axes('Position',...
    [0.150150004321337 0.22948216331497 0.68 0.67]);
hold(axes1,'on')
xlabel('^1\fontsize{65}/\fontsize{30}{ln({\it{k}}^{-1}_{\it{nr}})}','FontName','Arial');
% Create xlabel
ylabel('\phi (m^{3})');

box(axes1,'on');
errorbar(1./ln_tau_nr,1./phi,ln_tau_error_IPA,'horizontal','Color',colorset(1),'LineWidth',4,LineStyle='none',Marker='o',MarkerSize=8)
plot(1./ln_tau_nr,1./ln_tau_nr*p1_tnr_volume+p2_tnr_volume,'color',colorset(1),'LineWidth',4);
ylim([1.8e-26,3e-26])

yyaxis(axes1,'right');
%Create ylabel
ylabel(' {\it{N}}_{2-propanol}','FontName','Arial');
%Uncomment the following line to preserve the Y-limits of the axes
ylim(axes1,[145 240]);

%Set the remaining axes properties
set(axes1,'YColor',[0 0 0]);
%Uncomment the following line to preserve the X-limits of the axes
xlim(axes1,[1.23 1.55]);

box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'FontSize',40);

%% Figure 4A
figure('OuterPosition',...
    [46.3333333333333 203.666666666667 798.666666666667 794.666666666667]);

% Create axes
axes1 = axes('Position',...
    [0.193877551020408 0.166605374823197 0.761479591836734 0.75249924346144]);
hold(axes1,'on');
%plot data
errorbar(velocity_dry*10^6,stress_dry,stress_dry_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(1),'LineWidth',4)% speed in um/s
errorbar(velocity_IPA20,stress_fit_20,stress_IPA20_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(2),'LineWidth',4)
errorbar(velocity_IPA40,stress_fit_40,stress_IPA40_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(3),'LineWidth',4)
errorbar(velocity_IPA60,stress_fit_60,stress_IPA60_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(4),'LineWidth',4)
errorbar(velocity_IPA80,stress_fit_80,stress_IPA80_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(5),'LineWidth',4)
errorbar(velocity_IPA100,stress_fit_100,stress_IPA100_error,'MarkerSize',8,...
    'Marker','o',...
    'LineStyle','none','color',colorset(6),'LineWidth',4)
%plot fit curve

for i=1:5
plot(exp(speed_transpose)*0.25,fit_matrix(:,i),'color',colorset(i+1))
end

plot(velocity_IPA20,[ones(1,4)*3.8*10^6],'color',colorset(1))
legend('Dry','^P/_{P_{sat}}=20%','^P/_{P_{sat}}=40%','^P/_{P_{sat}}=60%','^P/_{P_{sat}}=80%','^P/_{P_{sat}}=100%','fontsize',21,'NumColumns',3)

set(axes1,'XMinorTick','on','XScale','log','XTick',[0.25 1 5 10 25],...
    'XTickLabel',{'0.25','1','5','10','25'});

ylabel('\sigma_s (Pa)','FontName','Arial');


% Create xlabel
xlabel('v (\mum/s)','FontName','Arial');
xlim([0.15 50])
ylim([0.18*pressure 0.45*pressure])
box(axes1,'on');
hold(axes1,'off');

%% Figure 4C
V0=60;%lattice 6A vibration 10^11Hz

kbt=4.1145e-21
scale_velocity_2=[log(velocity_IPA20.*10^-6./V0).*inverse_freevolume_lifetime(1),log(velocity_IPA40.*10^-6./V0).*inverse_freevolume_lifetime(2),...
    log(velocity_IPA60.*10^-6./V0).*inverse_freevolume_lifetime(3),log(velocity_IPA80.*10^-6./V0).*inverse_freevolume_lifetime(4)...
    ,log(velocity_IPA100.*10^-6./V0).*inverse_freevolume_lifetime(5)];
stress_C_correct=[stress_fit_20-C.*inverse_freevolume_lifetime(1),stress_fit_40-C.*inverse_freevolume_lifetime(2),...
    stress_fit_60-C.*inverse_freevolume_lifetime(3),stress_fit_80-C.*inverse_freevolume_lifetime(4),stress_fit_100-C.*inverse_freevolume_lifetime(5)]

figure('OuterPosition',...
    [379 31.666666666667 900 900]);

% Create axes
axes1 = axes('Position',...
    [0.214523809523809 0.221478136368909 0.701479591836734 0.70249924346144]);
hold(axes1,'on');

% Create ylabel
ylabel('  \sigma_s-^Q^''\fontsize{65}/\fontsize{25}{\phi_{free}} \fontsize{35}(Pa)');

% Create xlabel
xlabel('^{ln(^{v}\fontsize{60}/\fontsize{25}{v_0}\fontsize{44})}\fontsize{65}/\fontsize{25}{\phi _{free}} \fontsize{35}(m^{-3})')
errorbar(scale_velocity_2(1:4),stress_C_correct(1:4),stress_IPA20_error,'Marker','o','LineStyle','none','MarkerSize',8,'color',colorset(2),'LineWidth',4);
errorbar(scale_velocity_2(5:9),stress_C_correct(5:9),stress_IPA40_error,'Marker','o','LineStyle','none','MarkerSize',8,'color',colorset(3),'LineWidth',4);
errorbar(scale_velocity_2(10:15),stress_C_correct(10:15),stress_IPA60_error,'Marker','o','LineStyle','none','MarkerSize',8,'color',colorset(4),'LineWidth',4);
errorbar(scale_velocity_2(16:20),stress_C_correct(16:20),stress_IPA80_error,'Marker','o','LineStyle','none','MarkerSize',8,'color',colorset(5),'LineWidth',4);
errorbar(scale_velocity_2(21:24),stress_C_correct(21:24),stress_IPA100_error,'Marker','o','LineStyle','none','MarkerSize',8,'color',colorset(6),'LineWidth',4);
plot(scale_velocity_2,scale_velocity_2.*p1_collapse+p2_collapse,'color',colorset(1))
box(axes1,'on');

%% Figure S3
figure('OuterPosition',[706 139 801.666666666667 806]);

% Create axes
axes1 = axes('Position',[0.240150004321337 0.16948216331497 0.7 0.77]);
hold(axes1,'on');
% Create semilogy
semilogy(x_TCSPC_contact{1},y_TCSPC_contact{1},'DisplayName','IRF','LineWidth',2,'Color',[0.2 0 1]);
% Create semilogy
semilogy(x_TCSPC_contact{2},y_TCSPC_contact{2},'DisplayName','0% IPA','LineWidth',2,...
    'Color',[0.717647058823529 0.109803921568627 0.109803921568627]);
% Create semilogy
semilogy(x_TCSPC_contact{3},y_TCSPC_contact{3},'DisplayName','20% IPA','LineWidth',2,'Color',[0 0 0]);
% Create semilogy
semilogy(x_TCSPC_contact{4},y_TCSPC_contact{4},'DisplayName','40% IPA','LineWidth',2,...
    'Color',[1 0.341176470588235 0.2]);
% Create semilogy
semilogy(x_TCSPC_contact{5},y_TCSPC_contact{5},'DisplayName','60% IPA','LineWidth',2,...
    'Color',[0 0.784313725490196 0.325490196078431]);
% Create semilogy
semilogy(x_TCSPC_contact{6},y_TCSPC_contact{6},'DisplayName','80% IPA','LineWidth',2,...
    'Color',[0.572549019607843 0.168627450980392 0.129411764705882]);
% Create semilogy
semilogy(x_TCSPC_contact{7},y_TCSPC_contact{7},'DisplayName','100% IPA','LineWidth',2,...
    'Color',[0.317647058823529 0.176470588235294 0.658823529411765]);
% Create ylabel
ylabel('Photon Counts (a.u.)','FontName','Arial');
% Create xlabel
xlabel('Time (ns)','FontName','Arial');
% Uncomment the following line to preserve the X-limits of the axes
 xlim(axes1,[0 12]);
% Uncomment the following line to preserve the Y-limits of the axes
 ylim(axes1,[0 500000]);
box(axes1,'on');
hold(axes1,'off');
% Set the remaining axes properties
set(axes1,'YMinorTick','on','YScale','log');
% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Position',[0.386104360488234 0.66945856397397 0.538592027141645 0.254439252336449],...
    'NumColumns',2);
%% Figure S4
v0=[0.1,0.5,1,2,5,10,20,30,50,60,100,150,200,300,400,500,600]
for i=1:length(v0);
    Q=Q_V0+kbt*log(v0);
end

figure('OuterPosition',[0 0 800 800]);
axes1 = axes('Position',...
    [0.250150004321337 0.22948216331497 0.68 0.67]);
hold(axes1,'on')
xlabel('v_0 (m/s)');
% Create xlabel
ylabel('Q (J)');
box(axes1,'on');

plot(v0,Q,'k');
set(gca,'xscale','log')